Skip to main content
GET
/
knowledgeSource
/
archived
Get archived knowledge sources
curl --request GET \
  --url https://demo.enneo.ai/api/mind/knowledgeSource/archived \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": 123,
      "type": "faq",
      "status": "active",
      "source": "https://company.com/faq/376189",
      "name": "Opening hours",
      "tags": [
        70,
        71
      ],
      "teams": [
        1,
        2
      ],
      "readByAgents": [
        {
          "id": 1,
          "name": "John Doe",
          "readAt": "2024-11-29 14:38:12"
        }
      ],
      "title": "Opening hours",
      "text": "Our service hours are from 8am to 5pm. We are closed on weekends. [...]",
      "confidential": false,
      "excluded": false
    }
  ],
  "total": 123,
  "offset": 123,
  "limit": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.enneo.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT-based authentication

Query Parameters

limit
integer
default:100

The number of items to return

Required range: 1 <= x <= 1000
offset
integer
default:0

The number of items to skip

Required range: x >= 0
orderByDirection
enum<string>
default:desc

Sort direction by modifiedAt

Available options:
asc,
desc
parent
integer

Filter by parent (connector/group) id

Response

Successful operation

items
object[]
total
integer

Total number of archived knowledge sources (filtered)

offset
integer
limit
integer